<template>
    <div>
        <el-row>
            <el-col>
                <el-tabs v-model="activeName" @tab-click="handleClick">
                    <!-- 区域暂态事件统计 -->
                    <el-tab-pane label="区域稳态指标合格率统计" name="first">
                        <Statistics v-if="activeName == 'first'"></Statistics>
                    </el-tab-pane>

                    <!-- 区域暂态指标分类统计 -->
                    <el-tab-pane label="稳态指标合格率明细表" name="third">
                        <detailed v-if="activeName == 'third'"></detailed>
                    </el-tab-pane>
                    <!-- 暂态事件明细 -->
                    <!-- <el-tab-pane
            label="在线时间趋势图"
            name="trend"
          >
            <trend v-if="activeName=='trend'"></trend>
          </el-tab-pane> -->
                </el-tabs>
            </el-col>
        </el-row>
    </div>
</template>
<script>
import Statistics from './PassRate/Statistics.vue'
import detailed from './PassRate/detailed.vue'

export default {
    components: { Statistics, detailed },
    data() {
        return {
            vh: undefined,
            date: '',
            input: '',
            height: null,
            activeName: 'first' //区分是那个节点
        }
    },
    mounted() {
        this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
            this.vh = window.sessionStorage.getItem('appheight') - 110 + 'px'
        },

        handleClick(tab, event) {
            // if (tab.label == "暂态事件分布统计") {
            //   this.echarts();
            //   this.echarts2();
            //   this.echarts4();
            //   this.iticData();
            //   this.semif();
            //   this.echarts3();
            // }
            // this.onSubmit();
        }
    }
}
</script>
<style lang="less" scoped>
@import url('../../../../styles/comStyle.less');
</style>
